clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::threadSafety::lexpr::Terminal Class Reference

`#include "clang/Analysis/Analyses/ThreadSafetyLogical.h"`

Inheritance diagram for clang::threadSafety::lexpr::Terminal:
[legend]
Collaboration diagram for clang::threadSafety::lexpr::Terminal:
[legend]

## Public Member Functions
| Terminal (til::SExpr *Expr)
const til::SExpr * | expr () const
til::SExpr * | expr ()
Public Member Functions inherited from clang::threadSafety::lexpr::LExpr
Opcode | kind () const
bool | implies (const LExpr *RHS) const
| Logical implication. More...

## Static Public Member Functions
static bool | classof (const LExpr *E)

## Additional Inherited Members
Public Types inherited from clang::threadSafety::lexpr::LExpr
enum | Opcode { Terminal, And, Or, Not }
Protected Member Functions inherited from clang::threadSafety::lexpr::LExpr
| LExpr (Opcode Kind)

## Detailed Description

Definition at line 43 of file ThreadSafetyLogical.h.

## Constructor & Destructor Documentation

## ◆ Terminal()

clang::threadSafety::lexpr::Terminal::Terminal | ( | til::SExpr * | Expr | ) |
| inline

Definition at line 47 of file ThreadSafetyLogical.h.

## Member Function Documentation

## ◆ classof()

static bool clang::threadSafety::lexpr::Terminal::classof | ( | const LExpr * | E | ) |
| inline static

Definition at line 52 of file ThreadSafetyLogical.h.

References clang::threadSafety::lexpr::LExpr::kind(), and clang::threadSafety::lexpr::LExpr::Terminal.

## ◆ expr() [1/2]

const til::SExpr* clang::threadSafety::lexpr::Terminal::expr | ( |  | ) | const
| inline

Definition at line 49 of file ThreadSafetyLogical.h.

## ◆ expr() [2/2]

til::SExpr* clang::threadSafety::lexpr::Terminal::expr | ( |  | ) |
| inline

Definition at line 50 of file ThreadSafetyLogical.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyLogical.h